html,
body {
    margin: 0;
    padding: 0;
    user-select: none;
    background-color: #000;
    overscroll-behavior: none;
    width: 100%;
    min-height: 100%;
}

#root {
    top: 0;
    width: 100%;
    height: 100dvh;
    position: sticky;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000;
    overflow: hidden;
}

#preloader {
    position: fixed;
    z-index: 2;
    background-color: black;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.preloaderRoot {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    gap: 40px;
    z-index: 50;
    background-color: black;
}

.preloaderLogo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 73px;
}

.preloaderLogo img,
.preloaderLogo svg {
    height: 100%;
}

.goodLuckRoot {
    width: 100%;
    height: 100%;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 50px;
    z-index: 50;
}

.goodLuckLogo {
    position: relative;
    left: 15px;
    height: 120px;
}

.goodLuckLogo img {
    height: 100%;
}

.goodLuckProgress {
    display: flex;
    gap: 12px;
}

.goodLuckProgressItem {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: #fff;
    animation: bounce 2s infinite;
}

.goodLuckProgressItem:nth-child(2) {
    animation-delay: 0.5s;
}

.goodLuckProgressItem:nth-child(3) {
    animation-delay: 1s;
}

.goodLuckProgressItem:nth-child(4) {
    animation-delay: 1.5s;
}

@keyframes bounce {
    0% {
        transform: translateY(0px);
        background-color: #fff;
    }

    20% {
        transform: translateY(-10px);
        background-color: #f00007;
    }

    40% {
        transform: translateY(0px);
        background-color: #fff;
    }
}

.spin {
    transform-origin: 55% 49%;
    /*transform-origin: 94px 78px;*/
    transform-box: fill-box;
    animation: spin 1.1s ease-out infinite;
}

@keyframes spin {
    0% {
        transform: scale(1) rotate(0deg);
    }

    10% {
        transform: scale(0.85) rotate(0deg);
    }

    20% {
        transform: scale(1) rotate(-90deg);
    }

    70% {
        transform: scale(1) rotate(-360deg);
    }

    100% {
        transform: scale(1) rotate(-360deg);
    }
}

.preloaderProgress {
    width: 280px;
    height: 12px;
    border-radius: 20px;
    background-color: rgba(255, 255, 255, 0.2);
    border: 1px solid #ff7800;
    overflow: hidden;
    box-sizing: border-box;
}

.preloaderProgressBar {
    height: 100%;
    background-color: #ff7800;
}